// Realizar una solicitud AJAX para obtener los valores de sesión
$.ajax({
    type: "GET",
    url: "../../Controlador/Utilidades/Notifi_Editar_Grifo.php",
    dataType: "json",

    success: function(response) {
        if (response.hasOwnProperty('update')) {
            var grifo_Update = response.update;

            Swal.fire({
                title: 'Grifo ' + grifo_Update,
                text: '¡Editado Correctamente!',
                icon: 'success',
                showConfirmButton: false,
                timer: 1800
            });

            console.log("Grifo con ID: " + grifo_Update + " editado correctamente");

            // Eliminar la sesión
            $.ajax({
                type: "GET",
                url: "../../Controlador/Utilidades/POST_Eliminar_GrifoUpdate.php",
                dataType: "json",

                success: function(response) {
                    if (response.hasOwnProperty('grifo_delate')) {
                        console.log("-> Sesión eliminada para Grifo: ", response.grifo_delate);
                    }
                },

                error: function(xhr, status, error) {
                    console.error("-> Error eliminando sesión: ", error);
                }
            });

        } else {
            console.log("-> Error desde Notifi_Editar_Grifo.php: ", response.error);
        }
    },

    error: function(xhr, status, error) {
        Swal.fire({
            title: 'Error',
            text: 'Hubo un error al obtener la sesión. Por favor, inténtalo de nuevo más tarde.',
            icon: 'error',
            showConfirmButton: true
        });

        console.error("-> Error AJAX (Notifi_Editar_Grifo.php):", error);
    }
});
